---
import '@styles/global.css'
import '@styles/basicLayout.css'
import PrincipalNav from '@components/PrincipalNav.astro'

// Prepare the data (destructured from the global Astro.props object) for the metadata:
const {metaTitle
      ,metaDescription
      ,metaCanonicalURL
      ,metaType
      ,metaImage} = Astro.props
---

<html lang="pt">

  <head>
    <title>{metaTitle}</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width">
    <meta name="description" content={metaDescription}>
		<meta property="og:title" content={metaTitle} />
    <meta property="og:description" content={metaDescription}>
		<meta property="og:type" content={metaType} />
		<meta property="og:url" content={metaCanonicalURL} />
		<meta property="og:image" content={metaImage} />
    <meta name="twitter:card" content="summary_large_image" />
    <link rel="icon" type="image/x-icon" href="/favicon.ico" />
  </head>

	<body>
    
    <header>
      <PrincipalNav />
    </header>
		
    <main>
			<slot />
		</main>

    <footer>
      <a href="/sobre">Sobre este site</a>
    </footer>

	</body>

</html>